<?php use LTK\Foundation\ViewHelper; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset'); ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

		<?php wp_head(); ?>

	</head>
	<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

		<?php ViewHelper::getMenu('fixed-top'); ?>

		<div class="<?php ViewHelper::getLayoutClass('wrapper');?>">

			<header id="site-header" class="<?php ViewHelper::getLayoutClass('header');?>">
				<div class="<?php ViewHelper::getLayoutClass('header-inner');?>">
					<?php if (! ViewHelper::isActiveMenuLocation('fixed-top') || display_header_text()): ?>
						<div class="media">
							<?php if (! ViewHelper::isActiveMenuLocation('fixed-top') && ViewHelper::isCustomLogoEnabled()): ?>
								<div class="media-left">
									<a href="<?php echo esc_url(home_url('/')); ?>">
										<?php ViewHelper::getCustomLogo(esc_attr(get_bloginfo('name')), 'media-object', 'site-logo'); ?>
									</a>
								</div>
							<?php endif; ?>
							<?php if (display_header_text()): ?>
								<div class="media-body">
									<h1>
										<a id="site-name" href="<?php echo esc_url(home_url('/')); ?>"><?php bloginfo('name'); ?></a>
									</h1>
									<?php $description = get_bloginfo('description'); ?>
									<?php if (! empty($description)): ?>
										<p id="site-description"><?php bloginfo('description'); ?></p>
									<?php endif; ?>
								</div>
							<?php endif; ?>
						</div>
					<?php endif; ?>
				</div>
			</header>

			<?php ViewHelper::getMenu('primary'); ?>

			<main class="<?php ViewHelper::getLayoutClass('body');?>">
				<div class="<?php ViewHelper::getLayoutClass('body-inner');?>">
