<?php use LTK\Foundation\ViewHelper; ?>
<?php use LTK\Foundation\View\Breadcrumb; ?>

<?php get_header(); ?>

<div class="row">

	<div class="<?php ViewHelper::getColumnClass('center'); ?>">

		<?php echo Breadcrumb::getBreadcrumb(); ?>

		<?php if (have_posts()): while (have_posts()): the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class('post'); ?> itemscope itemtype="http://schema.org/Article">

				<header class="post-header">

					<h2 itemprop="headline">
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
					</h2>

				</header>

				<div class="post-body" itemprop="articleBody">

					<?php if (has_post_thumbnail()): ?>
						<div class="thumbnail">
							<?php the_post_thumbnail('post-thumbnail', [
								'class' => 'img-responsive',
								'itemprop' => 'image'
							]); ?>
						</div>
					<?php endif; ?>

					<?php the_content(); ?>

					<?php wp_link_pages(); ?>

				</div>

				<aside class="post-footer">
					<?php comments_template('/templates/comments.php'); ?>
				</aside>

			</article>

		<?php endwhile; endif; ?>

	</div>

	<?php get_template_part('templates/sidebars/column-left'); ?>

	<?php get_template_part('templates/sidebars/column-right'); ?>

</div>

<?php get_footer(); ?>
