<?php use LTK\Foundation\View\Post; ?>

<div class="panel panel-default post-author">
	<div class="panel-body">
		<div class="media">

			<div class="media-left">
				<?php echo get_avatar(get_the_author_meta('ID'), 100, '', get_the_author_meta('display_name'), [
					'class' => 'img-circle'
				]); ?>
			</div>

			<div class="media-body">

				<?php $author_name = esc_html(get_the_author_meta('display_name')); ?>
				<p class="media-heading">
					<span class="post-author-name"><?php echo $author_name; ?></span>
					<small class="pull-right post-author-link"><?php echo Post::getAuthorArticlesLink(); ?></small>
				</p>

				<?php $author_desc = esc_html(get_the_author_meta('description')); ?>
				<div class="author-description">
					<?php if (! strlen($author_desc)): ?>
						<p class="text-muted"><?php _e('There is no aditional information about this author yet.', 'ltk-foundation'); ?></p>
					<?php else: ?>
						<p><?php echo $author_desc; ?></p>
					<?php endif; ?>
				</div>

				<p class="author-meta-top">

					<?php $author_facebook = esc_url(get_user_meta($post->post_author, 'facebook', true)); ?>
					<?php if (! empty($author_facebook)): ?>
						<a href="<?php echo $author_facebook; ?>" rel="nofollow" class="link-facebook">
							<span class="fa-stack">
								<i class="fa fa-square fa-stack-2x"></i>
								<i class="fa fa-facebook fa-stack-1x fa-inverse"></i>
							</span>
						</a>
					<?php endif; ?>

					<?php $author_twitter = esc_url(get_user_meta($post->post_author, 'twitter', true)); ?>
					<?php if (! empty($author_twitter)): ?>
						<a href="https://twitter.com/<?php echo str_replace('@', '', $author_twitter); ?>" rel="nofollow" class="link-twitter">
							<span class="fa-stack">
								<i class="fa fa-square fa-stack-2x"></i>
								<i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
							</span>
						</a>
					<?php endif; ?>

					<?php $author_instagram = esc_url(get_user_meta($post->post_author, 'instagram', true)); ?>
					<?php if (! empty($author_instagram)): ?>
						<a href="https://www.instagram.com/<?php echo $author_instagram; ?>" rel="nofollow" class="link-instagram">
							<span class="fa-stack">
								<i class="fa fa-square fa-stack-2x"></i>
								<i class="fa fa-instagram fa-stack-1x fa-inverse"></i>
							</span>
						</a>
					<?php endif; ?>

					<?php $author_link = Post::getAuthorWebsiteLink(); ?>
					<?php if ($author_link): ?>
						<span class="author-meta-url"><span class="fa fa-fw fa-globe"></span> <?php echo $author_link; ?></span>
					<?php endif; ?>

				</p>

			</div>

		</div>
	</div>
</div>
